Bug 165295 - JJ: Disable dim inactive during fullscreen effects
Summary: JJ: Disable dim inactive during fullscreen effects
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 183012 191724 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-06-29 12:29 UTC by Diederik van der Boor
Modified: 2009-05-05 19:43 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diederik van der Boor 2008-06-29 12:29:59 UTC
Version:           onbekend (using 4.00.83 (KDE 4.0.83 (KDE 4.1 Beta2) "release 4.2", KDE:KDE4:UNSTABLE:Desktop / openSUSE_10.3)
Compiler:          gcc
OS:                Linux (i686) release 2.6.22.17-0.1-default

When the plugins "cover switch" and "dim inactive windows" are both enabled, inactive windows will also be dimmed in the cover switch. IMHO all windows should be equally visible then.
Comment 1 Martin Flöser 2008-06-29 13:00:03 UTC
Problem is that it is currently not possible for one effect to "deactivate" other effects. So I think this is a duplicate of bug #156484
Comment 2 lucas 2008-12-15 13:40:50 UTC

*** This bug has been marked as a duplicate of bug 156484 ***
Comment 3 lucas 2009-02-07 10:18:34 UTC
Bug is slightly different. Bug 156484 is about completely preventing a conflicting from loading while this one is to temporarily disable one when another runs.

For dim windows specifically this can be solved by having it detect if a fullscreen effect is enabled--if one is then fade everything in; when the fullscreen effect ends fade everything back out again.
Comment 4 lucas 2009-02-07 10:20:18 UTC
*** Bug 183012 has been marked as a duplicate of this bug. ***
Comment 5 lucas 2009-02-07 10:48:21 UTC
SVN commit 922574 by lmurray:

Add slight animations to the dim inactive effect. Also don't dim windows
when a fullscreen effect is active, fixes dimmed windows during
coverswitch.
BUG: 165295

 M  +31 -3     diminactive.cpp  
 M  +4 -0      diminactive.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922574
Comment 6 Martin Flöser 2009-05-05 19:43:55 UTC
*** Bug 191724 has been marked as a duplicate of this bug. ***